TenantWebhooksWebhooks Management
Load webhook notifications
GET
Returns a paginated list of webhook notifications
OAuth2ClientCredentialsBearer webhook:readheader
AuthorizationBearer <token>Scope: webhook:read
webhook_id?|When provided, it returns all webhook notifications created after this id.
status?|array<string>|Filter webhook notifications by one or more statuses, comma-separated
page_token?|nullpage_size?Page SizeRange
1 <= value <= 100Default
100Successful Response
application/json- response
data*array<>pagination*curl -X GET 'https://api.sandbox.getasset.com/v0/tenant/webhook/notifications'Example Response
{ "data": [ { "id": "whk_N5L7eAc4PsHfZViqAMbFEA", "datetime": "2026-01-01T12:01:00Z", "status": "sent", "sent_at": "2026-01-01T12:01:00Z", "attempts": 1, "last_response_code": 200, "notification": { "content": { "business_id": "biz_2xPQDLmNeWsrahR4bj3oGc9i6Nb", "timestamp": "2026-01-01T12:01:00Z" }, "type": "TASKS_REQUEST_COMPLETED" } } ], "pagination": { "next_page_token": "string", "previous_page_token": "string" }}